freemarker.cache

## Class TemplateConfigurationFactoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.cache.TemplateConfigurationFactoryException

All Implemented Interfaces:
  Serializable

    public class TemplateConfigurationFactoryException
    extends Exception

Non-I/O exception thrown by `TemplateConfigurationFactory`-s.

Since:
  2.3.24
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TemplateConfigurationFactoryException(String message)`
`TemplateConfigurationFactoryException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TemplateConfigurationFactoryException

    public TemplateConfigurationFactoryException(String message)

#### TemplateConfigurationFactoryException

    public TemplateConfigurationFactoryException(String message,
                                                 Throwable cause)